import request from '@/utils/request'

// 获取左侧菜单列表
export function getBaseInfo() {
  return request({
    url: '/center-fire/VisuForestCloudMapController/getBaseInfo',
    method: 'post',
  })
}

// 查询事件预警详细
export function getWarm(id) {
  return request({
    url: '/sooka-sponest-center-event/warm/' + id,
    method: 'get'
  })
}

// 查询事件部门列表
export function selectByeventCode(eventCode) {
  return request({
    url: '/center-event/event/system/deptevent/selectByeventCode/'+eventCode,
    method: 'get'
  })
}
//修改部门事件状态
export function updateDeptEventStatus(param) {
  return request({
    url: '/sooka-sponest-center-event/warm/updateDeptEventStatus' ,
    method: 'post',
    data: param
  })
}

// 删除事件操作日志
export function listByEventCode(eventCode) {
  return request({
    url: '/center-event/event/system/log/listByEventCode/' + eventCode,
    method: 'get'
  })
}

// 删除事件操作日志
export function selectCentereventTLogListPC(eventCode) {
  return request({
    url: '/center-event/event/system/log/selectCentereventTLogListPC/' + eventCode,
    method: 'get'
  })
}

// 查询摄像头绑定事件
export function selectCameraEventByCameraId(cameraId) {
  return request({
    url: '/center-monitor/cameraevent/selectCameraEventByCameraId/' + cameraId,
    method: 'get'
  })
}

// 森林防火图片
export function listCenterdataTAttachByBusId(busId) {
  return request({
    url: '/center-data/attach/listCenterdataTAttachByBusId/' + busId,
    method: 'get'
  })
}
// 查询事件预警详细
export function selectchannelCodeByCameraId(cameraId) {
  return request({
    url: '/center-monitor/camerachannel/selectchannelCodeByCameraId/' + cameraId,
    method: 'get'
  })
}

// 火点附近摄像头5公里显示
export function selectFjsxt(longitude,latitude) {
  return request({
    url: 'center-monitor/camera/selectFjsxt/'+longitude+'/' + latitude,
    method: 'get'
  })
}
